%define modname sasl
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A40_%{modname}.ini

Summary:	Cyrus SASL Extension
Name:		php-%{modname}
Epoch:		1
Version:	0.1.0
Release:	%mkrel 43
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/sasl
Source0:	http://pecl.php.net/get/sasl-%{version}.tgz
Patch0:		sasl-0.1.0-lib64.diff
Patch1:		sasl-0.1.0-php54x.diff
Patch2:		sasl-0.1.0-sasl2_shared.diff
BuildRequires:	php-devel >= 3:5.4.3
BuildRequires:	libsasl-devel

%description
SASL is the Simple Authentication and Security Layer (as defined by RFC 2222).
It provides a system for adding plugable authenticating support to
connection-based protocols. The SASL Extension for PHP makes the Cyrus SASL
library functions available to PHP. It aims to provide a 1-to-1 wrapper around
the SASL library to provide the greatest amount of implementation flexibility.
To that end, it is possible to build both a client-side and server-side SASL
implementation entirely in PHP.

%prep
%setup -q -n sasl-%{version}
%patch0 -p0
%patch1 -p0
%patch2 -p0

%build
%serverbuild

export SASL_SUB="sasl"
export SASL_SHARED_LIBADD="-lsasl2"

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%files 
%doc docs tests
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}


%changelog
* Fri Jan 24 2014 pterjan <pterjan> 1:0.1.0-43.mga4
+ Revision: 567667
- Rebuild for new PHP

* Sat Oct 19 2013 umeabot <umeabot> 1:0.1.0-42.mga4
+ Revision: 533506
- Mageia 4 Mass Rebuild

* Sat Aug 31 2013 fwang <fwang> 1:0.1.0-41.mga4
+ Revision: 473655
- cleanup spec

* Tue Aug 27 2013 luigiwalser <luigiwalser> 1:0.1.0-40.mga4
+ Revision: 472084
- rebuild for cyrus-sasl

* Thu Jun 13 2013 oden <oden> 1:0.1.0-39.mga4
+ Revision: 442695
- rebuilt for php-5.5.0RC3

* Wed Jan 30 2013 oden <oden> 1:0.1.0-38.mga3
+ Revision: 393320
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 1:0.1.0-37.mga3
+ Revision: 377561
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 15 2012 spuhler <spuhler> 1:0.1.0-36.mga3
+ Revision: 270841
- Rebuilt for php-5.4
  added needed patches
- Rebuilt for php-5.4

* Mon Mar 19 2012 fwang <fwang> 1:0.1.0-35.mga2
+ Revision: 224278
- fix detection on .so libs

  + luigiwalser <luigiwalser>
    - try to workaround libsasl-devel bug
    - httpd restart is handled by filetriggers now

  + spuhler <spuhler>
    - rebuild for php-devel-3.5.9

* Sat Apr 30 2011 ahmad <ahmad> 1:0.1.0-34.mga1
+ Revision: 93835
- Bump then rel to smoothen upgrades from mdv 2010.1

* Sat Jan 15 2011 spuhler <spuhler> 1:0.1.0-1.mga1
+ Revision: 19483
-Release:	%%mkrel 37
  +Release:	%%mkrel 1
-BuildRoot:    %%{_tmppath}/%%{name}-%%{version}-%%{release}-buildroot
- imported package php-sasl


* Sat Jan 08 2011 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.0-37mdv2011.0
+ Revision: 629743
- rebuilt for php-5.3.5

* Mon Jan 03 2011 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.0-36mdv2011.0
+ Revision: 628049
- ensure it's built without automake1.7

* Tue Nov 23 2010 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.0-35mdv2011.0
+ Revision: 600181
- rebuild

* Sun Oct 24 2010 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.0-34mdv2011.0
+ Revision: 588719
- rebuild

* Fri Mar 05 2010 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.0-33mdv2010.1
+ Revision: 514649
- rebuilt for php-5.3.2

* Mon Feb 22 2010 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.0-32mdv2010.1
+ Revision: 509470
- rebuild
- rebuild

* Sat Jan 02 2010 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.0-30mdv2010.1
+ Revision: 485263
- rebuilt for php-5.3.2RC1

* Sat Nov 21 2009 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.0-29mdv2010.1
+ Revision: 468090
- rebuilt against php-5.3.1

* Wed Sep 30 2009 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.0-28mdv2010.0
+ Revision: 451220
- rebuild

* Sun Jul 19 2009 Raphaël Gertz <rapsys@mandriva.org> 1:0.1.0-27mdv2010.0
+ Revision: 397593
- Rebuild

* Wed May 13 2009 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.0-26mdv2010.0
+ Revision: 375362
- rebuilt against php-5.3.0RC2

* Sun Mar 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.0-25mdv2009.1
+ Revision: 346605
- rebuilt for php-5.2.9

* Tue Feb 17 2009 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.0-24mdv2009.1
+ Revision: 341513
- rebuilt against php-5.2.9RC2

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.0-23mdv2009.1
+ Revision: 321945
- rebuild

* Fri Dec 05 2008 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.0-22mdv2009.1
+ Revision: 310222
- rebuilt against php-5.2.7

* Tue Jul 15 2008 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.0-21mdv2009.0
+ Revision: 235880
- rebuild

* Fri May 02 2008 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.0-20mdv2009.0
+ Revision: 200116
- rebuilt against php-5.2.6

* Mon Feb 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.0-19mdv2008.1
+ Revision: 161953
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 11 2007 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.0-18mdv2008.1
+ Revision: 107573
- restart apache if needed

* Sat Sep 01 2007 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.0-17mdv2008.0
+ Revision: 77460
- rebuilt against php-5.2.4

* Thu Aug 16 2007 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.0-16mdv2008.0
+ Revision: 64304
- use the new %%serverbuild macro

* Thu Jun 14 2007 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.0-15mdv2008.0
+ Revision: 39387
- use distro conditional -fstack-protector

* Fri Jun 01 2007 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.0-14mdv2008.0
+ Revision: 33782
- rebuilt against new upstream version (5.2.3)

* Thu May 03 2007 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.0-13mdv2008.0
+ Revision: 21032
- rebuilt against new upstream version (5.2.2)


* Thu Feb 08 2007 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-12mdv2007.0
+ Revision: 117537
- rebuilt against new upstream version (5.2.1)

* Wed Nov 08 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.0-11mdv2007.0
+ Revision: 78292
- fix deps

* Tue Nov 07 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.0-10mdv2007.0
+ Revision: 77389
- rebuilt for php-5.2.0

* Thu Nov 02 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.0-9mdv2007.1
+ Revision: 75327
- Import php-sasl

* Mon Aug 28 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.0-9
- rebuilt for php-5.1.6

* Thu Jul 27 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.0-8mdk
- rebuild

* Sat May 06 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.0-7mdk
- rebuilt for php-5.1.4

* Fri May 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.0-6mdk
- rebuilt for php-5.1.3

* Thu Feb 02 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.0-5mdk
- new group (Development/PHP) and iurt rebuild

* Sun Jan 15 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.0-4mdk
- rebuilt against php-5.1.2

* Tue Nov 29 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.0-3mdk
- rebuilt against php-5.1.1

* Sat Nov 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.0-2mdk
- rebuilt against php-5.1.0

* Thu Nov 03 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.0-1mdk
- rebuilt against php-5.1.0RC4
- fix versioning

* Sun Oct 30 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.0_0.1.0-0.RC1.2mdk
- rebuilt to provide a -debug package too

* Sun Oct 02 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.0_0.1.0-0.RC1.1mdk
- rebuilt against php-5.1.0RC1
- fixed the lib64 patch

* Wed Sep 07 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.5_0.1.0-1mdk
- rebuilt against php-5.0.5 (Major security fixes)

* Fri May 27 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_0.1.0-1mdk
- rename the package

* Sun Apr 17 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_0.1.0-1mdk
- 5.0.4

* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.1.0-2mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.1.0-1mdk
- initial Mandrakelinux package
- added P0

